# Voice Generator
Before using the installation is needed. \
For generation type within directory in PowerShell:
 - `.\Scripts\Activate.ps1`
 - `py GenerateDialogue.py`
For your own voices create a directory with custom name containing a voice line with the same name. \
Edit voice name in `GenerateDialogue.py` script.

# System requirements
OS: Windows 10 or 11 \
GPU: NVIDIA \
Storage: ~15GB

# Install.ps1
By executing the PowerShell script `Install.ps1` the following packages are installed:
 - [Python](https://www.python.org/downloads/) 3.11.9
 - [eSpeak-ng](https://github.com/espeak-ng/espeak-ng) 1.51
 - [Visual Studio Build Tools](https://visualstudio.microsoft.com/cs/downloads/?q=build+tools) 17 module "Desktop development with C++"
 - [CUDA Toolkit](https://developer.nvidia.com/cuda-downloads) 12.4.1
 - [PyTorch CUDA](https://pytorch.org/get-started/locally/) 12.4
 - [Coqui TTS](https://github.com/idiap/coqui-ai-TTS) 0.25.1
 - [Suno-ai/bark](https://github.com/suno-ai/bark)
It's recommended to run installation script as administrator and restart machine after install completion.

# Uninstall.ps1
The uninstall script will try to remove most of the files created during installation. \
The following packages/data aren't removed:
 - Python
 - Visual Studio Installer
 - voices/
 - _Something will of course left_
It's recommended to run uninstallat script as administrator and restart machine after uninstall completion.
